package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.SYS_PERMISSION;
import cn.ibizlab.core.uaa.filter.SYS_PERMISSIONSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SYS_PERMISSION] 服务对象接口
 */
public interface ISYS_PERMISSIONService extends IService<SYS_PERMISSION>{

    boolean save(SYS_PERMISSION et) ;
    void saveBatch(List<SYS_PERMISSION> list) ;
    SYS_PERMISSION getDraft(SYS_PERMISSION et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean update(SYS_PERMISSION et) ;
    void updateBatch(List<SYS_PERMISSION> list) ;
    boolean create(SYS_PERMISSION et) ;
    void createBatch(List<SYS_PERMISSION> list) ;
    boolean checkKey(SYS_PERMISSION et) ;
    SYS_PERMISSION get(String key) ;
    Page<SYS_PERMISSION> searchDefault(SYS_PERMISSIONSearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


